export type Digit = 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9;
export type Period = [Digit, Digit, Digit];
export type InputNumber = string | bigint;
export declare class RvnError extends Error {
}
export declare class InvalidFormatError extends RvnError {
}
export declare class InvalidNumberError extends RvnError {
}
export declare class NotEnoughUnitError extends RvnError {
}
export interface NumberData {
    isNegative: boolean;
    integralPart: Period[];
    fractionalPart: Digit[];
}
export declare class ReadingConfig {
    separator: string;
    unit: string[];
    negativeSign: string;
    pointSign: string;
    thousandSign: string;
    periodSize: number;
    filledDigit: string;
    digits: string[];
    units: string[][];
    negativeText: string;
    pointText: string;
    oddText: string;
    tenText: string;
    hundredText: string;
    oneToneText: string;
    fourToneText: string;
    fiveToneText: string;
    tenToneText: string;
}
